AGB  ·  Datenschutz  ·  Impressum  







Anmelden
Nützliche Links
Registrieren
Zurück Delphi-PRAXiS Programmierung allgemein Cross-Platform-Entwicklung iOS Rio 10.3.3 kompatibel zu XCode 12?

Rio 10.3.3 kompatibel zu XCode 12?

Ein Thema von amigage · begonnen am 6. Okt 2020 · letzter Beitrag vom 25. Jan 2021
Antwort Antwort
amigage

Registriert seit: 11. Nov 2005
Ort: Leipzig
249 Beiträge
 
Delphi 10.4 Sydney
 
#1

Rio 10.3.3 kompatibel zu XCode 12?

  Alt 6. Okt 2020, 14:30
Hallo,

ich habe einen neuen Mac und habe mir dort macOS Catalina 10.15.7 und XCode 12.0.1 installiert.
Im Apple Developer Center habe ich mir die entsprechenden Zertifikate und Provisiong Profile für den Mac generiert und installiert.
Auch habe ich den neueren PAServer 11.2.13.8 installiert, damit auch auf dem neuen System mit Rio 10.3.3 kommuniziert werden kann.

Die Kompilierung meiner App mit SDK 13.5 für meine Geräte (iPad und iPhone) funktionieren problemlos.

Mein Problem ist aber, dass ich beim Bereitstellen der App für den App Store nach dem Befehl

Code:
c:\program files (x86)\embarcadero\studio\20.0\bin\paclient.exe -u8 --ipa="xxx.app,xxx.ipa,'iPhone Distribution: amigage (4SVW9LWS3Y)','/Users/amigage/Library/MobileDevice/Provisioning Profiles/15871e47-f23e-4167-be58-266232982fe5.mobileprovision',2" MacOS
die folgende - mir nichts sagende - Ausgabe erhalte:

Code:
[PAClient Fehler] Fehler: E0776 2020-10-06 14:03:59.165 xcodebuild[2162:75652] [MT] IDEDistribution: -[IDEDistributionLogging _createLoggingBundleAtPath:]: Created bundle at path '/var/folders/b6/y3zv287149j7833psz4rf4bw0000gn/T/xxx_2020-10-06_14-03-59.163.xcdistributionlogs'.
[PAClient Fehler] Fehler: E0776 Exported xxx to: /Users/amigage/PAServer/scratch-dir/My-MacOS/xxx.archive/temp
[PAClient Fehler] Fehler: E0776 ** EXPORT SUCCEEDED **
Misslungen
"Export Succeeded" und "Misslungen" widersprechen sich irgendwie

Bevor ich weiter nach einer Lösung suche, wollte ich generell wissen, ob Rio 10.3.3 und XCode 12 kompatibel sind, oder ob ich wieder meinen älteren Mac mit XCode 11 aktivieren sollte...

Danke für jede Meinung.
  Mit Zitat antworten Zitat
Rollo62

Registriert seit: 15. Mär 2007
3.143 Beiträge
 
Delphi 10.4 Sydney
 
#2

AW: Rio 10.3.3 kompatibel zu XCode 12?

  Alt 6. Okt 2020, 19:26
Nur eine Vermutung:
Bei Rio muss unter
Project/Options/Delphi Compiler/Compiling/Other options/
"Generate iOS universal binary" gesetzt sein.
  Mit Zitat antworten Zitat
bcvs

Registriert seit: 16. Jun 2011
563 Beiträge
 
Delphi 10.4 Sydney
 
#3

AW: Rio 10.3.3 kompatibel zu XCode 12?

  Alt 25. Jan 2021, 08:55

die folgende - mir nichts sagende - Ausgabe erhalte:

Code:
[PAClient Fehler] Fehler: E0776 2020-10-06 14:03:59.165 xcodebuild[2162:75652] [MT] IDEDistribution: -[IDEDistributionLogging _createLoggingBundleAtPath:]: Created bundle at path '/var/folders/b6/y3zv287149j7833psz4rf4bw0000gn/T/xxx_2020-10-06_14-03-59.163.xcdistributionlogs'.
[PAClient Fehler] Fehler: E0776 Exported xxx to: /Users/amigage/PAServer/scratch-dir/My-MacOS/xxx.archive/temp
[PAClient Fehler] Fehler: E0776 ** EXPORT SUCCEEDED **
Misslungen
Hallo amigage,

hast du dafür eine Lösung gefunden?
Ich bekomme die gleichen Fehlermeldungen.

D10.4.1 mit December Apple Platform Patch
PA Server 12.1.10.5
XCode 12
mac OS Big Sur
  Mit Zitat antworten Zitat
philipp.hofmann

Registriert seit: 21. Mär 2012
Ort: Hannover
539 Beiträge
 
Delphi 10.4 Sydney
 
#4

AW: Rio 10.3.3 kompatibel zu XCode 12?

  Alt 25. Jan 2021, 11:19
Warum solltest du deinen älteren Mac reaktivieren? Hier die Anleitung wie man auf einem Mac zwei XCodes nebeneinander betreibt:

1. Download https://download.developer.apple.com...Xcode_11.7.xip
2. Extract the xip file using Apple's archive utility in your downloads folder. (a xip file is a codesigned zip file unique to Apple)
3. When this has extracted, rename the Xcode package to say Xcode11.7.
4. Drag this over to your Applications folder. Because it has been renamed, it won't overwrite your existing Xcode installation.
5. Launch either version of Xcode.
6. Open Xcode | Preferences and select Location.
7. In this screen there is a command line tools dropdown. Select Xcode 11.7.
8. Back in Delphi, try to add a new macOS SDK. This time you should get an option to add 11.5.

Und ich würde für Rio Xcode 11.x nutzen.
  Mit Zitat antworten Zitat
Themen-Optionen Thema durchsuchen
Thema durchsuchen:

Erweiterte Suche
Ansicht

Forumregeln

Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.
Trackbacks are an
Pingbacks are an
Refbacks are aus

Gehe zu:

Impressum · AGB · Datenschutz · Nach oben
Alle Zeitangaben in WEZ +2. Es ist jetzt 21:57 Uhr.
Powered by vBulletin® Copyright ©2000 - 2021, Jelsoft Enterprises Ltd.
LinkBacks Enabled by vBSEO © 2011, Crawlability, Inc.
Delphi-PRAXiS (c) 2002 - 2021 by Daniel R. Wolf